Bug 1023031 - [HRCPP-43] Missing methods from RemoteCache
[HRCPP-43] Missing methods from RemoteCache
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER5
: 6.2.0
Assigned To: Tristan Tarrant
Alan Field
:
Depends On:
Blocks: 1017190
  Show dependency treegraph
 
Reported: 2013-10-24 09:25 EDT by Alan Field
Modified: 2014-11-30 16:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The RemoteCache class does not provide the following methods, which are available to the Java version of the client. <itemizedlist> <listitem> <para>containsValue</para> </listitem> <listitem> <para>entrySet</para> </listitem> <listitem> <para>getBulk (No argument version)</para> </listitem> <listitem> <para>getName</para> </listitem> <listitem> <para>getProtocolVersion</para> </listitem> <listitem> <para>getRemoteCacheManager</para> </listitem> <listitem> <para>getVersion</para> </listitem> <listitem> <para>values</para> </listitem> <listitem> <para>async operations</para> </listitem> </itemizedlist> Consequently, the C++ Hot Rod cannot use these methods.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HRCPP-43 Critical Closed Missing methods from RemoteCache 2015-09-04 09:39:27 EDT

  None (edit)
Description Alan Field 2013-10-24 09:25:21 EDT
JDG tracking bug
Comment 2 JBoss JIRA Server 2013-10-24 10:27:01 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira HRCPP-43

getVersioned method tracked by https://issues.jboss.org/browse/HRCPP-48
Comment 3 JBoss JIRA Server 2013-10-31 12:01:52 EDT
Tristan Tarrant <ttarrant@redhat.com> made a comment on jira HRCPP-43

Async methods tracked by HRCPP-18
Comment 6 JBoss JIRA Server 2013-11-21 13:59:38 EST
Alan Field <afield@redhat.com> updated the status of jira HRCPP-43 to Reopened
Comment 7 JBoss JIRA Server 2013-11-21 13:59:38 EST
Alan Field <afield@redhat.com> made a comment on jira HRCPP-43

Reopening, because I missed the following method from this class:

ServerStatistics stats()

Sorry about that
Comment 8 JBoss JIRA Server 2013-11-21 14:00:11 EST
Alan Field <afield@redhat.com> made a comment on jira HRCPP-43

Reopening, because I missed the following method from this class:
{noformat}
ServerStatistics stats()
{noformat}
Sorry about that
Comment 9 JBoss JIRA Server 2013-11-22 15:23:17 EST
Alan Field <afield@redhat.com> made a comment on jira HRCPP-43

Reopening, because I missed the following method from this class:
{noformat}
    ServerStatistics stats()
    NotifyingFuture<Boolean> replaceWithVersionAsync(K key, V newValue, long version);
    NotifyingFuture<Boolean> replaceWithVersionAsync(K key, V newValue, long version, int lifespanSeconds);
    NotifyingFuture<Boolean> replaceWithVersionAsync(K key, V newValue, long version, int lifespanSeconds, int maxIdleSeconds);
    
    boolean replaceWithVersion(K key, V newValue, long version);
    boolean replaceWithVersion(K key, V newValue, long version, int lifespanSeconds);
    boolean replaceWithVersion(K key, V newValue, long version, int lifespanSeconds, int maxIdleTimeSeconds);
    boolean removeWithVersion(K key, long version);
    NotifyingFuture<Boolean> removeWithVersionAsync(K key, long version);
{noformat}
Sorry about that
Comment 10 JBoss JIRA Server 2013-11-22 15:23:45 EST
Alan Field <afield@redhat.com> made a comment on jira HRCPP-43

Reopening, because I missed the following method from this class:
{noformat}
    ServerStatistics stats()

    NotifyingFuture<Boolean> replaceWithVersionAsync(K key, V newValue, long version);
    NotifyingFuture<Boolean> replaceWithVersionAsync(K key, V newValue, long version, int lifespanSeconds);
    NotifyingFuture<Boolean> replaceWithVersionAsync(K key, V newValue, long version, int lifespanSeconds, int maxIdleSeconds);
    
    boolean replaceWithVersion(K key, V newValue, long version);
    boolean replaceWithVersion(K key, V newValue, long version, int lifespanSeconds);
    boolean replaceWithVersion(K key, V newValue, long version, int lifespanSeconds, int maxIdleTimeSeconds);

    boolean removeWithVersion(K key, long version);
    NotifyingFuture<Boolean> removeWithVersionAsync(K key, long version);
{noformat}
Sorry about that
Comment 11 JBoss JIRA Server 2013-11-27 11:40:12 EST
Tristan Tarrant <ttarrant@redhat.com> updated the status of jira HRCPP-43 to Resolved
Comment 12 JBoss JIRA Server 2013-12-12 10:40:46 EST
Alan Field <afield@redhat.com> updated the status of jira HRCPP-43 to Closed

Note You need to log in before you can comment on or make changes to this bug.